View Issue Details

IDProjectCategoryView StatusLast Update
0003031SymmetricDSBugpublic2017-04-06 09:44
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.18 
Target Version3.8.19Fixed in Version3.8.19 
Summary0003031: Sqlite dialect is broken
Description0003005 broke sql lite because the sequence service must use the same connection that is being used transactionally by the batching process.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 84f970a6

2017-03-29 13:12:30

chenson

Details Diff
0003031: Sqlite dialect is broken
0003031
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ISequenceService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File

SymmetricDS: 3.8 5d58d432

2017-04-04 10:45:20

chenson42

Details Diff
0003031 0003005

Sqlite dialect is broken

0003031
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSqlTransaction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTransaction.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTransactionListener.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlTransactionListenerAdapter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

Issue History

Date Modified Username Field Change
2017-03-29 13:12 chenson New Issue
2017-03-29 13:12 chenson Status new => assigned
2017-03-29 13:12 chenson Assigned To => chenson
2017-03-29 14:00 chenson Changeset attached => SymmetricDS 3.8 84f970a6
2017-03-30 16:28 chenson Status assigned => resolved
2017-03-30 16:28 chenson Fixed in Version => 3.8.19
2017-03-30 16:28 chenson Resolution open => fixed
2017-04-04 08:49 chenson Status resolved => assigned
2017-04-04 10:45 chenson Status assigned => resolved
2017-04-04 11:00 chenson42 Changeset attached => SymmetricDS 3.8 5d58d432
2017-04-06 09:44 chenson Status resolved => closed